/*
 * msginfo.h
 *
 *  Created on: 4 Jun 2013
 *      Author: john
 */

#ifndef MSGINFO_H_
#define MSGINFO_H_

#include <object.h>

class cObjectMsgInfo : public cObject
{
public:
   cObjectMsgInfo();
   cObjectMsgInfo(cObjectMsgInfo * mi);
   cTagList * getTags();
   bool parse(KourierObject *,std::vector<KTag*>* ct = NULL);


	//potential problem with conversion as library returns double and we are casting to float.
	bool parse(json_t *dataArray); //JSON
	   //uses the append_new function for return arrays so that the json ref stays at 1
	   //returns an array of all the values
	json_t * getJSONObj(); //for JSON



   bool compIndex(cObject *) { return (true);}
   bool operator < (cObject &rhs);
   char * printKey() {return ((char *)"None");}
   cObject * clone();
   void setIndexesOnly(bool);
   void setMaxReplies(uint32_t max_rep);




private:
   bool mIndexesOnly;
   uint32_t mMaxReplies;
};


#endif /* MSGINFO_H_ */
